package com.selectavatar;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;

public class HeadActivity extends AppCompatActivity {
    public int[] imageld =new int[]{R.drawable.touxiang1,R.drawable.touxiang2,R.drawable.touxiang3,
            R.drawable.touxiang4,R.drawable.touxiang5,};
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_head);
        GridView gridView=(GridView) findViewById(R.id.gridView);
        BaseAdapter adapter=new BaseAdapter() {
            @Override
            public View getView(int position,View convertView,ViewGroup parer) {
                ImageView imageView;
                if (convertView==null){
                    imageView=new ImageView(HeadActivity.this);
                    imageView.setAdjustViewBounds(true);
                    imageView.setMaxWidth(158);
                    imageView.setMaxWidth(150);
                    imageView.setPadding(5,5,5,5);
                }else {
                    imageView= (ImageView) convertView;
                }
                imageView.setImageResource(imageld[position]);
                return imageView;
            }

            @Override
            public Object getItem(int position) {
                return position;
            }

            @Override
            public long getItemId(int position) {
                return position;
            }

            @Override
            public int getCount() {
                return imageld.length;
            }
        };
        gridView.setAdapter(adapter);
        gridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView <?> parent, View view, int position, long id) {
                Intent intent=getIntent();
                Bundle bundle=new Bundle();
                bundle.putInt("imageId",imageld[position]);
                intent.putExtras(bundle);
                setResult(0X11,intent);
                finish();
            }
        });
    }
}
